#include <iostream>
#include <string>
#include <math.h>
using namespace std;

int main()
{
    string a="",b="",c="";
    cin>>a>>b>>c;
    int ap=0,bp=0,cp=0,ax=a.size(),bx=b.size(),cx=c.size();
    int maxl=max(ax,bx);
    maxl=max(maxl,cx);
    for(int i=0;i<3;i++)
    {

        for(int i1=0;i1<a.size();i1++)
        {
            ap+=a[i1];
        }
        for(int i2=0;i2<b.size();i2++)
        {
            bp+=b[i2];
        }
        for(int i3=0;i3<c.size();i3++)
        {
            cp+=c[i3];
        }
        ap+=(maxl-a.size())*'9';
        bp+=(maxl-b.size())*'9';
        cp+=(maxl-c.size())*'9';
        int maks=max(ap,bp);
        maks=max(maks,cp);
        if(maks==ap) {cout<<a; ap-=1000;}
        else if (maks==bp) {cout<<b; bp-=1000;}
        else {cout<<c; cp-=1000;}
    }

    return 0;
}